Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.api.routing.filter
Class FilterUnacceptedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.mule.api.MuleException
                  org.mule.api.MessagingException
                      org.mule.api.routing.filter.FilterUnacceptedException

All Implemented Interfaces:
  Serializable

    public class FilterUnacceptedException

extends MessagingException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.api.MessagingException
`event, muleMessage`

Constructor Summary
`FilterUnacceptedException(Message message, MuleEvent event)`
`FilterUnacceptedException(Message message, MuleEvent event, Filter filter)`
`FilterUnacceptedException(Message message, MuleEvent event, Filter filter, Throwable cause)`
`FilterUnacceptedException(Message message, MuleEvent event, Throwable cause)`
`FilterUnacceptedException(Message message, MuleMessage muleMessage)` Deprecated. use FilterUnacceptedException(Message, MuleEvent)
`FilterUnacceptedException(Message message, MuleMessage muleMessage, Filter filter)` Deprecated. use FilterUnacceptedException(Message, MuleEvent, Filter)
`FilterUnacceptedException(Message message, MuleMessage muleMessage, Filter filter, Throwable cause)` Deprecated. use FilterUnacceptedException(Message, MuleEvent, Filter, Throwable)
`FilterUnacceptedException(Message message, MuleMessage muleMessage, Throwable cause)` Deprecated. use FilterUnacceptedException(Message, MuleEvent, Throwable)
`FilterUnacceptedException(MuleEvent event, Filter filter, Throwable cause)`
`FilterUnacceptedException(MuleMessage muleMessage, Filter filter, Throwable cause)` Deprecated. use FilterUnacceptedException(MuleEvent, Filter, Throwable)

Method Summary
`Filter` | `getFilter()`

Methods inherited from class org.mule.api.MessagingException
`getEvent, getMuleMessage`

Methods inherited from class org.mule.api.MuleException
`addInfo, appendMessage, equals, getDetailedMessage, getExceptionCode, getI18nMessage, getInfo, getMessage, getMessageCode, getSummaryMessage, getVerboseMessage, hashCode, initialise, prependMessage, setExceptionCode, setMessage, setMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterUnacceptedException

    @Deprecated
    public FilterUnacceptedException(Message message,
                                                MuleMessage muleMessage,
                                                Filter filter)

  Deprecated. use FilterUnacceptedException(Message, MuleEvent, Filter)

  Parameters:
    `message` - the exception message

### FilterUnacceptedException

    public FilterUnacceptedException(Message message,
                                     MuleEvent event,
                                     Filter filter)

### FilterUnacceptedException

    @Deprecated
    public FilterUnacceptedException(Message message,
                                                MuleMessage muleMessage,
                                                Filter filter,
                                                Throwable cause)

  Deprecated. use FilterUnacceptedException(Message, MuleEvent, Filter, Throwable)

  Parameters:
    `message` - the exception message
    `cause` - the exception that cause this exception to be thrown

### FilterUnacceptedException

    public FilterUnacceptedException(Message message,
                                     MuleEvent event,
                                     Filter filter,
                                     Throwable cause)

### FilterUnacceptedException

    @Deprecated
    public FilterUnacceptedException(MuleMessage muleMessage,
                                                Filter filter,
                                                Throwable cause)

  Deprecated. use FilterUnacceptedException(MuleEvent, Filter, Throwable)

### FilterUnacceptedException

    public FilterUnacceptedException(MuleEvent event,
                                     Filter filter,
                                     Throwable cause)

### FilterUnacceptedException

    @Deprecated
    public FilterUnacceptedException(Message message,
                                                MuleMessage muleMessage,
                                                Throwable cause)

  Deprecated. use FilterUnacceptedException(Message, MuleEvent, Throwable)

  Parameters:
    `message` - the exception message
    `cause` - the exception that cause this exception to be thrown

### FilterUnacceptedException

    public FilterUnacceptedException(Message message,
                                     MuleEvent event,
                                     Throwable cause)

### FilterUnacceptedException

    @Deprecated
    public FilterUnacceptedException(Message message,
                                                MuleMessage muleMessage)

  Deprecated. use FilterUnacceptedException(Message, MuleEvent)

  Parameters:
    `message` - the exception message

### FilterUnacceptedException

    public FilterUnacceptedException(Message message,
                                     MuleEvent event)

Method Detail

### getFilter

    public Filter getFilter()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.